/*
███████╗██╗███╗   ██╗ ██████╗ ███████╗██████╗     ██╗    ██╗███████╗ ██████╗ 
██╔════╝██║████╗  ██║██╔════╝ ██╔════╝██╔══██╗    ██║    ██║██╔════╝██╔════╝ 
█████╗  ██║██╔██╗ ██║██║  ███╗█████╗  ██████╔╝    ██║ █╗ ██║█████╗  ██║  ███╗
██╔══╝  ██║██║╚██╗██║██║   ██║██╔══╝  ██╔══██╗    ██║███╗██║██╔══╝  ██║   ██║
██║     ██║██║ ╚████║╚██████╔╝███████╗██║  ██║    ╚███╔███╔╝███████╗╚██████╔╝
╚═╝     ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝╚═╝  ╚═╝     ╚══╝╚══╝ ╚══════╝ ╚═════╝ 
*/

const BASE_URL = `${window.location.origin}/${window.location.pathname.split('/').filter((e, i)=>{return i>0 & i<4}).join('/')}`;
const ON = true;
const OFF = false;
const EMPTY_LINK = "javascript:undefined";
const DEFAULT = {
  social: {
    twitter: {
      icon: `${BASE_URL}/assets/images/twitter.png`,
      profile: "https://twitter.com/InnolabM4"
    },
    facebook: {
      icon: `${BASE_URL}/assets/images/facebook.png`,
      profile: "https://www.facebook.com/HfTStuttgart"
    },
    linkedin: {
      icon: `${BASE_URL}/assets/images/linkedin.png`,
      profile: "https://www.linkedin.com/school/hochschule-f%C3%BCr-technik-stuttgart-%E2%80%93-university-of-applied-sciences"
    },
    webpage: {
      icon: `${BASE_URL}/assets/images/webpage.png`,
      profile: "https://www.hft-stuttgart.de"
    }
  },
  avatar: `${BASE_URL}/assets/images/avatar.png`
};

/*
███████╗███████╗████████╗████████╗██╗███╗   ██╗ ██████╗ ███████╗
██╔════╝██╔════╝╚══██╔══╝╚══██╔══╝██║████╗  ██║██╔════╝ ██╔════╝
███████╗█████╗     ██║      ██║   ██║██╔██╗ ██║██║  ███╗███████╗
╚════██║██╔══╝     ██║      ██║   ██║██║╚██╗██║██║   ██║╚════██║
███████║███████╗   ██║      ██║   ██║██║ ╚████║╚██████╔╝███████║
╚══════╝╚══════╝   ╚═╝      ╚═╝   ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝
*/

let settings = {

  pageTitle: "M4_LAB Page Title",

  switches: [
    {
      name: "projectLogo",
      state: ON
    },
    {
      name: "projectName",
      state: ON
    },
    {
      name: "participants",
      state: ON
    },
    {
      name: "footerLogos",
      state: ON
    }
  ],

  projectLogo: `${BASE_URL}/assets/logos/M4_LAB_tr.png`,

  projectName: "M4_LAB Page Demo",

  participants: [
    {
      name: "Patrick Wuerstle",
      avatar: DEFAULT.avatar,
      email: "patrick.Wuerstle@hft-stuttgart.de",
      social: [
        {
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        },
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://johndoe.com"
        }
      ]
    },
    {
      name: "Rushi",
      avatar: `${BASE_URL}/assets/images/charlotte.jpg`,
      email: "charlotte.doe@lalaland.com",
      social: [
        {
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        }
      ]
    },
    {
      name: "Joe T.S.",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/9/b/csm_JoeSquare_89b2f100d1.jpg`,
      email: "thunyathep.s@outlook.com",
      social: [
        {
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        }
      ]
    }
  ],

  footerLogos: [
    {
      logo: `${BASE_URL}/assets/logos/Logo_M4_LAB.jpg`,
      href: EMPTY_LINK,
      title: "M4_LAB"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo1.png`,
      href: "http://www.innovative-hochschule.de",
      title: "Innovative Hochschule"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo2.png`,
      href: "https://www.bmbf.de",
      title: "Bundesministerium für Bildung und Forschung"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo3.png`,
      href: "https://www.gwk-bonn.de",
      title: "Die Gemeinsame Wissenschaftskonferenz"
    }
  ]
};
